Bug 1023570 - libnetsnmpagent.so crash under certain conditions - patched upstream in 2009
libnetsnmpagent.so crash under certain conditions - patched upstream in 2009
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jan Safranek
Marek Haicman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 15:09 EDT by Dan Tucny
Modified: 2015-07-22 03:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: snmpd did not properly check for errors when processing AgentX response from a subagent. Consequence: snmpd could crash. Fix: Additional checks in AgentX client processing ensure that snmpd does not crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 03:22:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
el5 spec diff (631 bytes, patch)
2014-01-09 09:44 EST, Trevor Hemsley
no flags Details | Diff
Patch for net-snmp-5.3 (647 bytes, patch)
2014-01-09 09:45 EST, Trevor Hemsley
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 6712 None None None Never

  None (edit)
Description Dan Tucny 2013-10-25 15:09:03 EDT
Description of problem:
Under certain circumstances libnetsnmpagent.so can fail taking down whatever is linked with it.

This has been observed with Asterisk 1.8 and 11 running on CentOS 6.3 and 6.4.

This appears to be identical to an issue reported and resolved in the upstream project - http://sourceforge.net/p/net-snmp/bugs/2073/ - patch visible at http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=revision&revision=17856

The current version of net-snmp in CentOS & RHEL 6.4, 5.5-44.el6_4.4, does not have this patch incorporated.

Version-Release number of selected component (if applicable):
5.5-44.el6_4.4

How reproducible:
Not simple

Steps to Reproduce:
1. 
2.
3.

Actual results:
Sometimes crashes can occur in whatever application uses libnetsnmpagent, in this case Asterisk's res_snmp module.

Expected results:
No crashes would be ideal

Additional info:
This has been raised on the CentOS issue tracker as http://bugs.centos.org/view.php?id=6712

Previously raised Asterisk issue for this crash:
https://issues.asterisk.org/jira/browse/ASTERISK-22014
Comment 2 RHEL Product and Program Management 2013-10-28 16:25:16 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Trevor Hemsley 2014-01-09 09:09:58 EST
net-snmp-5.3 is also unpatched on el5
Comment 4 Trevor Hemsley 2014-01-09 09:44:18 EST
Created attachment 847680 [details]
el5 spec diff

Patch against current el5 net-snmp.spec file
Comment 5 Trevor Hemsley 2014-01-09 09:45:12 EST
Created attachment 847681 [details]
Patch for net-snmp-5.3

Patch for issue on el5
Comment 6 Patrick Laimbock 2014-02-09 08:11:30 EST
I just checked net-snmp-5.5-49.el6.src.rpm in EL6.5 and the patch/fix is not present either. Will this fix be included in a net-snmp update for EL6.5 or will it be included in EL6.6?
Comment 7 Trevor Hemsley 2014-05-02 07:13:01 EDT
Technically this is a DoS vulnerabilty for any application using net-snmp since I can crash random apps just by running snmpwalk a few times. Is there any news on patching this?
Comment 8 Jan Safranek 2014-05-05 06:28:45 EDT
Please note that Bugzilla is not a support tool. I acknowledge there might be a bug in snmpd, I understand it's annoying one, however, adding new comments here won't change anything.

Please create tickets at access.redhat.com to get the service you pay for.
Comment 13 errata-xmlrpc 2015-07-22 03:22:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1385.html

Note You need to log in before you can comment on or make changes to this bug.